Bug Hunting Session
Bug 50821 - [FILEOPEN] Bad RTF Document formating/ margins
Summary: [FILEOPEN] Bad RTF Document formating/ margins
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords: filter:doc, filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2012-06-07 02:19 UTC by Nikolay Morozov
Modified: 2016-10-25 18:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
First document with strange page (92.45 KB, application/rtf)
2012-06-07 02:19 UTC, Nikolay Morozov
Details
Second with broken margins (57.50 KB, application/msword)
2012-06-07 02:20 UTC, Nikolay Morozov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolay Morozov 2012-06-07 02:19:38 UTC
Created attachment 62702 [details]
First document with strange page

I have 2 documents (official blanks) in RTF formats when I open them.
1) I see some strange first page with borders in first document.
2) If i set all margins to 0 in second document it look good.
Comment 1 Nikolay Morozov 2012-06-07 02:20:06 UTC
Created attachment 62703 [details]
Second with broken margins
Comment 2 s-joyemusequna 2012-06-11 07:48:17 UTC
Confirmed under Windows XP and Vista 64.

Document 1 (the RTF document): checkboxes missing, boxes misplaced (LibO 3.3.4, LibO 3.4.5, and LOdev 3.7 (master - 06-Jun-2012 04h12 x86@6-fast; Build ID: b255de8). 

Different display with LOdev 3.7, some elements are displayed better, some worse, p.ex. two frames on top missing. Additionally with LOdev 3.7: text starts a bit lower then it should, therefore the document has 4 pages instead of 2. 

(Margins have the same values in Word 2007 and all tested LibO versions).


(Document 2 has misplaced frames, same display with LibO 3.3.4, LibO 3.4.5, and LOdev 3.7. The bug should be filed separately, it is a DOC document)
Comment 3 Teo91 2013-09-30 13:01:23 UTC
I can confirm this with LO 4.1.1 on Windows 7 SP1: 
RTF file -> there is a strange black rectangle (I think the page border)on the second page
DOC file -> there 2 borders misplaced (black rectangles) on both pages, various elements lost.
Comment 4 Nikolay Morozov 2013-11-06 06:29:02 UTC
reproduced LO 4.1.3.2
Comment 5 Alexandr 2014-08-07 13:40:48 UTC
Reproducible with LibreOffice 4.2.5 and 4.3.0. In 4.3.0 the documents are represented better, but still incorrect.
Comment 6 Buovjaga 2014-09-22 10:17:00 UTC
Tested with latest build and checkboxes are ok in both documents.
Black border in document 1 is off on the 2nd page and in document 2 the borders are off on both pages.

Version: 4.4.0.0.alpha0+
Build ID: be775a1ab40ccedfbc9659120b82867d6c128e6a
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-19_18:16:31
Comment 7 Alexandr 2014-09-22 12:37:29 UTC
The issue with checkboxes was fixed by Miklos Vajna (see bug 44984)
Comment 8 Xisco Faulí 2015-09-07 15:43:16 UTC
This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 9 Robinson Tryon (qubit) 2015-12-14 06:02:49 UTC Comment hidden (obsolete)
Comment 10 Miklos Vajna 2016-06-03 15:21:24 UTC
I can reproduce the table cell margin problem: both left and right margins should be 0.19cm, but they are 0. That's why the line below the "No" character overlaps with the black border. I'll take care of this.
Comment 11 Commit Notification 2016-06-07 09:15:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=279f1a204f8c5b5121e9f1f9c431d17bdab1f5bd

tdf#50821 RTF import: fix handling of \trpaddf{b,l,r,t}

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-06-07 17:52:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47a218c3f9d8f12dab9813abc820d54f1e77b6f8&h=libreoffice-5-2

tdf#50821 RTF import: fix handling of \trpaddf{b,l,r,t}

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-06-09 11:10:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50e8780b1471c551ad58d7babeb99028868a0c4d&h=libreoffice-5-1

tdf#50821 RTF import: fix handling of \trpaddf{b,l,r,t}

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.